/*
 * @Description: 检查处
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-02 14:16:11
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-18 15:49:35
 */
#include "Inspector.hpp"

namespace ins{

    /**
     * @description: 初始化
     * @param {*}
     * @return {*}
     */    
    int8_t Inspector::Init() {
        if(this->valid) return OK;
        this->valid = true;
        return OK;
    }

    /**
     * @description: 获得ptr
     * @param {*}
     * @return {*}
     */    
    std::shared_ptr<Inspector> Inspector::getPtr(){
        static std::shared_ptr<Inspector> m_inspector = nullptr;
        if(m_inspector == nullptr) m_inspector = std::shared_ptr<Inspector>(new Inspector);
        return m_inspector;
    }

    /**
     * @description: 释放资源
     * @param {*}
     * @return {*}
     */    
    void Inspector::Destroy(){
        
    }

    /**
     * @description: 检查模块
     * @param {*}
     * @return {*}
     */    
    int8_t Inspector::CheckModule(){
        int8_t result  = 0;
        
        return result;
    }
};

